@echo off
: ------------------------------------------------------------------------------------
: deutsche und englische Beschreibung - german and english description
: ------------------------------------------------------------------------------------
:
:	SL-Logon Arbeitsstation deinstallieren (LogonUninst.cmd)
:	--------------------------------------------------------
:
:	Aufruf: LogonUninst.cmd COMPUTER
:
:	Deinstalliert SL-Logon auf dem angegebenen COMPUTER.
:
:	COMPUTER: Arbeitsstation auf der SL-Logon deinstalliert werden soll (ohne "\\")
:
:	Beispiel: LogonUninst ARBEITSSTA01
:
: ------------------------------------------------------------------------------------
:
:	SL-Logon Workstation uninstall (LogonUninst.cmd)
:	------------------------------------------------
:
:	Usage:  LogonUninst.cmd COMPUTER
:
:	Uninstalls SL-Logon on the specified COMPUTER.
:
:	COMPUTER: Workstation on whitch SL-Logon will be uninstalled (without "\\")
:
:	Sample:   LogonUninst WORKSTA01
:
: ------------------------------------------------------------------------------------
:
:
:#####################################################################################
:#	Verndern Sie den folgenden Bereich nur, wenn Sie genau wissen was Sie tun
:#	Modify the following lines only if you know exactly what you are doing
:#####################################################################################


set WORKSTA=
set MSG=
set SRC=

: ------------------------------------------------------------------------------------

: evtl. Notepad starten
: ---------------------
for %%a in ("" "/?") do if "%1"==%%a start notepad %0\..\LogonUninst.cmd && goto :QUIT

: ------------------------------------------------------------------------------------

: Arbeitsstation testen
: ---------------------
if "%1"=="" goto :ERR_NOWS
set WORKSTA=%1

: ------------------------------------------------------------------------------------

: Computer und NT testen
: ----------------------
if not exist \\%WORKSTA%\Admin$\System32 goto :ERR_WSNOTFOUND

: ------------------------------------------------------------------------------------

: SL-Logon deinstallieren
: -----------------------
SL-Logon.exe -r \\%WORKSTA% 
if errorlevel 1 goto :ERR_INST

: ------------------------------------------------------------------------------------

: Dateien lschen
: ---------------
set SRC=SL-Logon.exe
if not exist \\%WORKSTA%\Admin$\System32\%SRC% goto :NOFILE
del \\%WORKSTA%\Admin$\System32\%SRC% 
if errorlevel 1 goto :ERR_DEL
if exist \\%WORKSTA%\Admin$\System32\%SRC% goto :ERR_DEL
:NOFILE

: ------------------------------------------------------------------------------------

goto :OK

: ------------------------------------------------------------------------------------

:OK
set MSG=UnInstall-OK: %WORKSTA%
goto :QUIT

:ERR_INST
set MSG=SL-Logon-UnInstall-Error: %WORKSTA%
goto :QUIT

:ERR_DEL
set MSG=Delete-Error: del \\%WORKSTA%\Admin$\System32\%SRC%
goto :QUIT

:ERR_NOWS
set MSG=Parameter-Error: COMPUTER
goto :QUIT

:ERR_WSNOTFOUND
set MSG=COMPUTER-Error: "%WORKSTA%" nicht gefunden / not found
goto :QUIT

:ERR_DIR
set MSG=Directory-Error: %SRC% nicht gefunden / not found
goto :QUIT

: ------------------------------------------------------------------------------------

:QUIT
echo.
if not "%MSG%"=="" echo %MSG%
echo.

