@echo off
: ------------------------------------------------------------------------------------
: deutsche und englische Beschreibung - german and english description
: ------------------------------------------------------------------------------------
:
:	SL-Logon Arbeitsstation installieren (LOGONINST.CMD)
:	----------------------------------------------------
:
:	Aufruf: LOGONINST.CMD COMPUTER
:
:	Installiert SL-Logon auf dem angegebenen COMPUTER.
:
:	COMPUTER: Arbeitsstation auf der SL-Logon installiert werden soll (ohne "\\")
:
:	Beispiel: LOGONINST.CMD ARBEITSSTA01
:
: ------------------------------------------------------------------------------------
:
:	SL-Logon Workstation install (LOGONINST.CMD)
:	--------------------------------------------
:
:	Usage:  LOGONINST.CMD COMPUTER
:
:	Installs SL-Logon on the specified COMPUTER.
:
:	COMPUTER: Workstation on whitch SL-Logon will be installed (without "\\")
:
:	Sample:   LOGONINST.CMD WORKSTA01
:
: ------------------------------------------------------------------------------------
:
:
:#####################################################################################
:#	Verndern Sie den folgenden Bereich nur, wenn Sie genau wissen was Sie tun
:#	Modify the following lines only if you know exactly what you are doing
:#####################################################################################


set WORKSTA=
set MSG=
set SRC=

: ------------------------------------------------------------------------------------

: evtl. Notepad starten
: ---------------------
for %%a in ("" "/?") do if "%1"==%%a start notepad %0\..\LOGONINST.CMD && goto :QUIT

: ------------------------------------------------------------------------------------

: Arbeitsstation testen
: ---------------------
if "%1"=="" goto :ERR_NOWS
set WORKSTA=%1

: ------------------------------------------------------------------------------------

: Computer und NT testen
: ----------------------
if not exist \\%WORKSTA%\Admin$\System32 goto :ERR_WSNOTFOUND

: ------------------------------------------------------------------------------------

: Dateien kopieren
: ----------------
set SRC=SL-Logon.exe
if not exist %SRC% goto :ERR_DIR
copy %SRC% \\%WORKSTA%\Admin$\System32 
if errorlevel 1 goto :ERR_COPY
if not exist \\%WORKSTA%\Admin$\System32\%SRC% goto :ERR_COPY

: ------------------------------------------------------------------------------------

: SL-Logon installieren
: ----------------------
SL-Logon.exe -i \\%WORKSTA% 
if errorlevel 1 goto :ERR_INST

: ------------------------------------------------------------------------------------

goto :OK

: ------------------------------------------------------------------------------------

:OK
set MSG=Install-OK: %WORKSTA% - C:%DSTDIR%
goto :QUIT

:ERR_INST
set MSG=SL-Logon-Install-Error: %WORKSTA%
goto :QUIT

:ERR_COPY
set MSG=Copy-Error: copy %SRC% \\%WORKSTA%\c$%DSTDIR%
goto :QUIT

:ERR_NOWS
set MSG=Parameter-Error: COMPUTER
goto :QUIT

:ERR_WSNOTFOUND
set MSG=COMPUTER-Error: "%WORKSTA%" nicht gefunden / not found
goto :QUIT

:ERR_DIR
set MSG=Directory-Error: %SRC% nicht gefunden / not found
goto :QUIT

: ------------------------------------------------------------------------------------

:QUIT
echo.
if not "%MSG%"=="" echo %MSG%
echo.

